Diskussion zu "phpBB 3.2.2 erschienen - Bitte updaten"

Projekte der phpBB.de-Community und Feedback zu phpBB.de.
Benutzeravatar
vfrblue
Junior Supporter
Beiträge: 1236
Registriert: 22.11.2016 18:46
Wohnort: Niedersachsen-West
Kontaktdaten:

Re: Diskussion zu "phpBB 3.2.2 erschienen - Bitte updaten"

Beitragvon vfrblue » 12.01.2018 20:32

Testforum ist jetzt auch auf phpBB 3.2.2 und PHP 7.2.1. Leider spielen da einige Erweiterungen unter der PHP-Version noch nicht mit. Auch ist es ein Krux mit dem "Reset" der von den Usern gewählten Styles auf den Standard-Style. Kann man das nicht umgehen?
Gruß Hermann

Forum VFR-OC

Benutzeravatar
Melmac
Supporter
Supporter
Beiträge: 3363
Registriert: 15.10.2012 03:27

Re: Diskussion zu "phpBB 3.2.2 erschienen - Bitte updaten"

Beitragvon Melmac » 12.01.2018 21:43

Die Antwort klingt jetzt vielleicht etwas schräg:
Entweder bei PHP 5.6.x oder 7.1.x (je nachdem halt, was Du bisher hattest bzw. noch unproblematisch ist) bleiben, dann gibts keinen Ärger mit den installierten Extensions oder bei phpBB 3.2.1, wenns primär um die Styles geht - oder halt beides in Kombination :wink:
Gibt dann auch den jeweiligen Entwickler etwas Zeit, ihre Erweiterungen aktualisieren zu können.

Um welche Extensions geht es dabei?
Die Styles sollten sich, wenns eilig ist, eigentlich relativ problemlos auch selbst updaten lassen. So umfangreich waren die Änderungen gegenüber der Vorversion diesmal zum Glück nicht.

vfrblue hat geschrieben:Auch ist es ein Krux mit dem "Reset" der von den Usern gewählten Styles auf den Standard-Style. Kann man das nicht umgehen?

Wie meinst Du das jetzt?
Handle nur nach derjenigen Maxime, durch die du zugleich wollen kannst, dass sie ein allgemeines Gesetz werde.
(Immanuel Kant)

Benutzeravatar
vfrblue
Junior Supporter
Beiträge: 1236
Registriert: 22.11.2016 18:46
Wohnort: Niedersachsen-West
Kontaktdaten:

Re: Diskussion zu "phpBB 3.2.2 erschienen - Bitte updaten"

Beitragvon vfrblue » 12.01.2018 22:15

Das jetzt im Testforum PHP 7.2.1 läuft, ist ja von mir gewollt. So kann ich sehen, welche Erweiterungen noch Probleme machen.
Für das Upgrade auf 3.2.2 habe ich alle Styles, die in unserem Forum verwendet werden, auch angepasst. Für das Upgrade alle Erweiterungen und alle zusätzlichen Styles deaktiviert. Datei-Upgrade nach der manuellen Methode durchgeführt, angepasste Styles in den Style-Ordner kopiert und Upgrade durchgeführt. Alles fehlerfrei verlaufen. Dann die zusätzlichen Styles wieder aktiviert, in der Hoffnung, dass die entsprechenden Styles auch den Usern, die diese gewählt haben, auch wieder zugeordnet werden. Dem ist nicht so: Alle User bekommen durch das Upgrade den Standard-"prosilver" zugeordnet.
Gruß Hermann

Forum VFR-OC

Benutzeravatar
canonknipser
Supporter
Supporter
Beiträge: 1614
Registriert: 10.09.2011 11:14
Kontaktdaten:

Re: Diskussion zu "phpBB 3.2.2 erschienen - Bitte updaten"

Beitragvon canonknipser » 12.01.2018 22:38

Warum hast du das nicht so gemacht:
  • Wartungsmodus einschalten
  • angepasste Styles hochladen (nur die vorher deaktivieren, für die du keine Anpassungen machen willst)
  • phpBB-Paket nach Anleitung hochladen
  • Update ausführen
Die Styles werden ja afaik durch das Deaktivieren zurück auf den Standard gesetzt.
Grüße, canonknipser
"there are only 10 types of people: those, who understand binary and those, who don't"
just arrived ;) - Bilder
Kein Support via PN, nur im Board und (manchmal) im IRC

Benutzeravatar
vfrblue
Junior Supporter
Beiträge: 1236
Registriert: 22.11.2016 18:46
Wohnort: Niedersachsen-West
Kontaktdaten:

Re: Diskussion zu "phpBB 3.2.2 erschienen - Bitte updaten"

Beitragvon vfrblue » 12.01.2018 22:45

Okay, Canonknipser, das wusste ich so nicht. Danke dir. Ich werde es beim Upgrade des Live-Boards nach deiner Anleitung durchführen.

Nachtrag:
Live-Forum ohne Probleme upgedated, und die Style-Zuordnung hat auch geklappt. :grin:
Gruß Hermann

Forum VFR-OC

Benutzeravatar
Kirk
Supporter
Supporter
Beiträge: 5896
Registriert: 24.05.2010 08:31
Kontaktdaten:

Re: Diskussion zu "phpBB 3.2.2 erschienen - Bitte updaten"

Beitragvon Kirk » 13.01.2018 16:18

Ich habe 4 Foren von 3.2.1 auf 3.2.2 aktualisiert, jeweils 2x mit Automatischen Updater (inkl. dieser Änderungen) und 2x manuelles Update (ohne diese verlinkten Änderungen), nach erfolgreichen Update kam in allen 4 Fällen diese Warnung im ACP:
Das ausgewählte Such-Backend hat keinen Such-Index.
Bitte erstelle den Index für „MySQL Fulltext“ im Bereich Such-Indizes.

Dieser Such-Index war vor dem Update aktiv.

Benutzeravatar
BNa
Valued Contributor
Beiträge: 2364
Registriert: 12.04.2010 23:51
Kontaktdaten:

Re: Diskussion zu "phpBB 3.2.2 erschienen - Bitte updaten"

Beitragvon BNa » 13.01.2018 16:31

Kirk hat geschrieben:
Das ausgewählte Such-Backend hat keinen Such-Index.
Bitte erstelle den Index für „MySQL Fulltext“ im Bereich Such-Indizes.

Dieser Such-Index war vor dem Update aktiv.

Den Fehler hatte ich schon beim 3.2.1-Update. War bei mir auch vorher aktiv.
Der Index ließ sich dann auch reproduzierbar nicht mehr erstellen.
Daher bei allen Suchvorgängen > 0 Ergebnisse. Keine Ahnung warum...

Edit: Könnte damit zusammenhängen:
https://www.phpbb.com/community/viewtop ... #p14207431

Benutzeravatar
Kirk
Supporter
Supporter
Beiträge: 5896
Registriert: 24.05.2010 08:31
Kontaktdaten:

Re: Diskussion zu "phpBB 3.2.2 erschienen - Bitte updaten"

Beitragvon Kirk » 13.01.2018 16:43

BNa hat geschrieben:Der Index ließ sich dann auch reproduzierbar nicht mehr erstellen.

Verstehe ich das richtig das du diesen Such-Index im ACP nicht wieder estellen konntest?
Was dein Edit angeht, so habe ich es bei mir ebenfalls gemacht (war aber noch zu 3.0.x Zeiten) hatte seit dem kein Problem.

Benutzeravatar
BNa
Valued Contributor
Beiträge: 2364
Registriert: 12.04.2010 23:51
Kontaktdaten:

Re: Diskussion zu "phpBB 3.2.2 erschienen - Bitte updaten"

Beitragvon BNa » 13.01.2018 17:48

Kirk hat geschrieben:
BNa hat geschrieben:Der Index ließ sich dann auch reproduzierbar nicht mehr erstellen.

Verstehe ich das richtig das du diesen Such-Index im ACP nicht wieder erstellen konntest?

Ja, die Suchfunktion ist seitdem Off. Im ACP indexiert das Board zwar unter "Fulltext native" (also, tut so als ob),
zeigt aber nach der Erstellung wieder "Indexierte Wörter" > 0 an. Somit bleibt die Suche leer.

Ich teste das mal mit der Datenbankänderung.


Edit: hat funktioniert.
Bin jetzt allerdings auf MySQL Fulltext "festgenagelt":

https://www.phpbb.com/community/viewtopic.php?f=466&t=2285881&start=15#p14207431

After that you can still not use phpBB Native Fulltext, but you can use MySQL Fulltext instead.

Benutzeravatar
Joyce&Luna
Mitglied
Beiträge: 1973
Registriert: 24.11.2013 18:14
Wohnort: NRW
Kontaktdaten:

Re: Diskussion zu "phpBB 3.2.2 erschienen - Bitte updaten"

Beitragvon Joyce&Luna » 13.01.2018 19:10

Kann es sein, das auch wieder Probleme mit BBcode gibt?
Also mit Datei Anhäne ist in meinen Testforen alles okay.
Auch mit den Such Native Fulltext.

3 Testforen und keinerlei Fehlermeldungen beim Updaten.

Ich werde mit dem Updaten der anderen Foren noch eine weile warten.
phpBB-Style-Design.de

Keine Antwort ist die eindeutigste Antwort, die man kriegen kann.
Bitte stellt die Fragen im Forum und nicht per PN. Danke!


Zurück zu „Community Talk“